GETC_UNLOCKED(3)

NAME
getc_unlocked, getchar_unlocked - get next character from stream, efficiently

SYNOPSIS
#include <stdio.h>
int
getc_unlocked(FILE *stream);
int
getchar_unlocked();

DESCRIPTION
The getc_unlocked() and getchar_unlocked() functions are equivalent to their locked counterparts, getc(3) and getchar(3). However, getc_unlocked() and getchar_unlocked() assume that the relevant stream has either been previously locked with flockfile(3), or that it will not be accessed by any other thread.

RETURN VALUES
The return values are as described for getc(3) and getchar(3).

SEE ALSO
getc(3), getchar(3)

STANDARDS
getc_unlocked() and getchar_unlocked() conform to ISO/IEC 9945-1 ANSI/IEEE (“POSIX”) Std 1003.1 Second Edition 1996-07-12.